{% extends 'base.html' %}
{% block title %} Messages
{% endblock %}
{% block contact %}
 <table class="table">

    <thead>
    <tr>
        <th style=" width: 15%">Email</th>
        <th style=" width: 15%">Subject</th>
        <th style=" width: 50%">Message</th>
        <th style=" width: 20%">Actions</th>

    </tr>
    </thead>
    <tbody>
    {% for message in all_messages %}
    <tr>
        <td>{{message.email}}</td>
        <td>{{message.subject}}</td>
        <td>{{message.message}}</td>
        <td>
            <a href="{% url 'message_details' message.id %}" class="btn btn-primary">Details</a>
            <a href="{% url 'delete_message' message.id %}" class="btn btn-danger">Delete</a>
        </td>
    </tr>
    {% endfor %}
    </tbody>
    </table>
{% endblock %}